# Network type

A decision block that checks the active network type.

If the proceed option is set to Immediately, then check the currently active network type without pausing the fiber. If set to When changed, then the fiber will pause until the active network has changed.

If network types is empty, or evaluate to `null`, then the type and type name variables are assigned with the currently active type without a check.

Note! This block deprecated, use the Data network default block instead.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network types — network types considered true (YES).

## Output variables

- Network type — variable to assign the current network type.
- Network type name — variable to assign the name of the current network type.